Name:           garmintools
Version:        0.10
Release:        4%{?dist}
Summary:        Communication tools for Garmin devices

License:        GPLv2+
Group:          Applications/Productivity
URL:            http://code.google.com/p/garmintools/
Source:         http://garmintools.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:        51-garmin.rules
Source2:        garmintools.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libusb-devel
BuildRequires:  libgarmin-static libgarmin-devel

Requires:       udev


%description
This software provides Linux users with the ability to communicate with
the Garmin Forerunner 305 via the USB interface. All of the documented
Garmin protocols as of Rev C (May 19, 2006) for the USB physical link
implemented.
This means that if you have a Garmin with a USB connection to a PC, you 
ought to be able to use this software to communicate with it.


%package devel
Summary:        Development and documentation files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description devel
Static libraries, header files and documentation for %{name}.


%prep
%setup -q


%build
%configure --enable-static=no
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
install -Dp -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/rules.d/51-garmin.rules
install -Dp -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/modprobe.d/garmintools.conf
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
# remove garmin_gps module if loaded, see README
rmmod garmin_gps &>/dev/null || true
 

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_mandir}/man*/*.1*
%{_bindir}/garmin_*
%{_libdir}/lib*.so.*
%config(noreplace) %{_sysconfdir}/udev/rules.d/*
%config(noreplace) %{_sysconfdir}/modprobe.d/*


%files devel
%defattr(-,root,root,-)
%doc NEWS
%{_includedir}/*.h
%{_libdir}/lib*.so


%changelog
* Sat Jul 17 2010 Fabian Affolter <fabian@bernewireless.net> - 0.10-4
- Rename garmintools to garmintools.conf to fix #615119

* Tue Dec  8 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.10-3
- Explicitly BR libgarmin-static in accordance with the Packaging
  Guidelines (libgarmin-devel is still static-only).

* Tue Sep 22 2009 Fabian Affolter <fabian@bernewireless.net> - 0.10-2
- Fixed ldconfig stuff
- Fixed ownership of files
- Fixed rpath

* Sat May 02 2009 Fabian Affolter <fabian@bernewireless.net> - 0.10-1
- Updated to new upstream version 0.10

* Thu Sep 11 2008 Fabian Affolter <fabian@bernewireless.net> - 0.09-2
- Fix spec file acc. #461849 Comment #1

* Wed Sep 10 2008 Fabian Affolter <fabian@bernewireless.net> - 0.09-1
- Initial spec for Fedora
